Summary:	Mako template library for Python
Name:		python-mako
Version:	1.0.3
Release:	%mkrel 1
Group:		Development/Python
License:	MIT
URL:		http://www.makotemplates.org/
Source0:    https://pypi.python.org/packages/source/M/Mako/Mako-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	python-nose
BuildRequires:	python-beaker
BuildRequires:	python-markupsafe
BuildRequires:	python-mock
Requires:	python-beaker
Requires:	python-markupsafe

%description
Mako is a template library written in Python. It provides a familiar, non-XML
syntax which compiles into Python modules for maximum performance. Mako's
syntax and API borrows from the best ideas of many others, including Django
templates, Cheetah, Myghty, and Genshi. Conceptually, Mako is an embedded
Python (i.e. Python Server Page) language, which refines the familiar ideas of
componentized layout and inheritance to produce one of the most straightforward
and flexible models available, while also maintaining close ties to Python
calling and scoping semantics.

%package -n python3-mako
Group:		Development/Python
Summary:	Mako template library for Python 3
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-nose
BuildRequires:	python3-beaker
BuildRequires:	python3-markupsafe
BuildRequires:	python3-mock
Requires:	python3-beaker
Requires:	python3-markupsafe

%description -n python3-mako
Mako is a template library written in Python. It provides a familiar, non-XML
syntax which compiles into Python modules for maximum performance. Mako's
syntax and API borrows from the best ideas of many others, including Django
templates, Cheetah, Myghty, and Genshi. Conceptually, Mako is an embedded
Python (i.e. Python Server Page) language, which refines the familiar ideas of
componentized layout and inheritance to produce one of the most straightforward
and flexible models available, while also maintaining close ties to Python
calling and scoping semantics.

%prep
%setup -q -n Mako-%{version}
cp -a . %{py3dir}

%build
pushd %{py3dir}
2to3 --no-diffs -w mako test
%py3_build
popd

%py2_build


%install
pushd %{py3dir}
%py3_install
mv %{buildroot}/%{_bindir}/mako-render %{buildroot}/%{_bindir}/python3-mako-render
popd

%py2_install
rm -rf doc/build

%check
pushd %{py3dir}
PYTHONPATH=$(pwd) nosetests-%{python3_version}
popd

PYTHONPATH=$(pwd) nosetests

%files
%doc CHANGES LICENSE README.rst doc examples
%{_bindir}/mako-render
%{python2_sitelib}/*

%files -n python3-mako
%doc CHANGES LICENSE README.rst doc examples
%{_bindir}/python3-mako-render
%{python3_sitelib}/*



%changelog
* Tue Nov 24 2015 philippem <philippem> 1.0.3-1.mga6
+ Revision: 905831
- update to 1.0.3

* Fri Oct 09 2015 shlomif <shlomif> 1.0.2-1.mga6
+ Revision: 888358
- New version 1.0.2 + Rebuild for new Python3 3.5.x

  + tv <tv>
    - new release
    - rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 746528
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.0-3.mga5
+ Revision: 728997
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-2.mga5
+ Revision: 688138
- Mageia 5 Mass Rebuild

* Fri Jun 20 2014 philippem <philippem> 1.0.0-1.mga5
+ Revision: 638212
- update to 1.0.0

* Tue Jun 03 2014 philippem <philippem> 0.9.1-1.mga5
+ Revision: 632644
- update to 0.9.1

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.9.0-3.mga4
+ Revision: 543640
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.0-2.mga4
+ Revision: 498886
- Rebuild to add different pythonegg provides for python 2 and 3

  + philippem <philippem>
    - Update to 0.9.0

* Thu Jul 04 2013 philippem <philippem> 0.8.1-1.mga4
+ Revision: 450111
- Update to 0.8.1, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 0.7.2-2.mga3
+ Revision: 379102
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 philippem <philippem> 0.7.2-1.mga3
+ Revision: 290065
- New upstream release 0.7.2

* Fri Feb 03 2012 philippem <philippem> 0.6.2-1.mga2
+ Revision: 204253
- Update to 0.6.2.

* Wed Jan 25 2012 philippem <philippem> 0.6.0-1.mga2
+ Revision: 201214
- Update to 0.6.0.

* Mon Oct 24 2011 philippem <philippem> 0.5.0-1.mga2
+ Revision: 157699
- new upstream

* Fri Mar 25 2011 ahmad <ahmad> 0.4.0-1.mga1
+ Revision: 77389
- update to 0.4.0

* Mon Feb 21 2011 ahmad <ahmad> 0.3.6-3.mga1
+ Revision: 55173
- rebuild to make all pythonegg requires lowercase

* Sat Feb 05 2011 ahmad <ahmad> 0.3.6-2.mga1
+ Revision: 47054
- drop the buildroot tag
- replace "%%py_requires -d" with python-devel
- imported package python-mako

